import request from '@/utils/request'

// 查询待宰圈列表
export function listPigpen(query) {
  return request({
    url: '/app/pigpen/list',
    method: 'get',
    params: query
  })
}

// 查询待宰圈详细
export function getPigpen(id) {
  return request({
    url: '/app/pigpen/' + id,
    method: 'get'
  })
}

// 新增待宰圈
export function addPigpen(data) {
  return request({
    url: '/app/pigpen',
    method: 'post',
    data: data
  })
}

// 修改待宰圈
export function updatePigpen(data) {
  return request({
    url: '/app/pigpen',
    method: 'put',
    data: data
  })
}

// 删除待宰圈
export function delPigpen(id) {
  return request({
    url: '/app/pigpen/' + id,
    method: 'delete'
  })
}

// 查询全部生猪分类列表
export function getAllPigpen() {
  return request({
    url: '/app/pigpen/optionselect',
    method: 'get',
  })
}
